org.eclipse.gef.dot.internal.language

## Class DotAstHelper

- java.lang.Object
- - org.eclipse.gef.dot.internal.language.DotAstHelper

    public class DotAstHelper
    extends java.lang.Object

This class provides helper methods for walking the DOT abstract syntax tree.

### Constructor Summary

Constructors
Constructor and Description
`DotAstHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<org.eclipse.gef.dot.internal.language.dot.NodeId>` `getAllNodeIds(org.eclipse.gef.dot.internal.language.dot.NodeId baseNodeId)` Collects all nodeId EObjects having the same name as the baseNodeId
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValue(org.eclipse.gef.dot.internal.language.dot.DotGraph graph, java.lang.String name)`
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValue(java.util.List<org.eclipse.gef.dot.internal.language.dot.AttrList> attrLists, java.lang.String name)` Returns the value of the first attribute with the give name or `null` if no attribute could be found.
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValue(org.eclipse.gef.dot.internal.language.dot.Subgraph subgraph, java.lang.String name)`
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValueAll(org.eclipse.gef.dot.internal.language.dot.DotGraph graph, java.lang.String name)`
`static java.lang.String` `getColorSchemeAttributeValue(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)` Returns the color scheme attribute value that is set for the given attribute.
`static java.lang.String` `getDependedOnAttributeValue(org.eclipse.gef.dot.internal.language.dot.Attribute dependentAttribute, java.lang.String attributeName)` Returns an attribute value specified by attributeName that is set for given attribute
`static org.eclipse.gef.dot.internal.language.dot.NodeId` `getNodeId(org.eclipse.gef.dot.internal.language.dot.NodeId nodeId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotAstHelper

    public DotAstHelper()

### Method Detail

#### getNodeId

    public static org.eclipse.gef.dot.internal.language.dot.NodeId getNodeId(org.eclipse.gef.dot.internal.language.dot.NodeId nodeId)

#### getAllNodeIds

    public static java.util.List<org.eclipse.gef.dot.internal.language.dot.NodeId> getAllNodeIds(org.eclipse.gef.dot.internal.language.dot.NodeId baseNodeId)

Collects all nodeId EObjects having the same name as the baseNodeId

#### getColorSchemeAttributeValue

    public static java.lang.String getColorSchemeAttributeValue(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

Returns the color scheme attribute value that is set for the given attribute.

Parameters:
  `attribute` - The attribute to determine the color scheme attribute value for.
Returns:
  The color scheme value that is set for the given attribute, or null if it cannot be determined.

#### getDependedOnAttributeValue

    public static java.lang.String getDependedOnAttributeValue(org.eclipse.gef.dot.internal.language.dot.Attribute dependentAttribute,
                                                               java.lang.String attributeName)

Returns an attribute value specified by attributeName that is set for given attribute

Parameters:
  `dependentAttribute` - The attribute to determine a depending value for.
  `attributeName` - The name of the attribute that the dependentAttribute depends on.
Returns:
  The attribute value set for the attribute specified by attributeName

#### getAttributeValue

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValue(org.eclipse.gef.dot.internal.language.dot.DotGraph graph,
                                                                                       java.lang.String name)

#### getAttributeValueAll

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValueAll(org.eclipse.gef.dot.internal.language.dot.DotGraph graph,
                                                                                          java.lang.String name)

#### getAttributeValue

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValue(org.eclipse.gef.dot.internal.language.dot.Subgraph subgraph,
                                                                                       java.lang.String name)

#### getAttributeValue

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValue(java.util.List<org.eclipse.gef.dot.internal.language.dot.AttrList> attrLists,
                                                                                       java.lang.String name)

Returns the value of the first attribute with the give name or `null` if no attribute could be found.

Parameters:
  `attrLists` - The `AttrList`s to search.
  `name` - The name of the attribute whose value is to be retrieved.
Returns:
  The attribute value or `null` in case the attribute could not be found.